summaryrefslogtreecommitdiff
path: root/misc/test_yjit_asm.sh
diff options
context:
space:
mode:
Diffstat (limited to 'misc/test_yjit_asm.sh')
-rwxr-xr-xmisc/test_yjit_asm.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/misc/test_yjit_asm.sh b/misc/test_yjit_asm.sh
new file mode 100755
index 0000000000..546acf39c9
--- /dev/null
+++ b/misc/test_yjit_asm.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+set -e
+set -x
+
+clang -std=gnu99 -Wall -Werror -Wno-error=unused-function -Wshorten-64-to-32 yjit_asm.c yjit_asm_tests.c -o asm_test
+
+./asm_test
+
+rm asm_test